package com.atlassian.confluence.jspwiki.util;

import com.atlassian.confluence.setup.settings.SettingsManager;
import com.atlassian.confluence.setup.settings.Settings;

/**
 * A simple settings manager for use in tests that keeps settings in memory and has no dependencies.
 */
public class MemorySettingsManager implements SettingsManager
{
    private Settings settings = new Settings();

    public Settings getGlobalSettings()
    {
        return settings;
    }

    public void updateGlobalSettings(Settings settings)
    {
        this.settings = settings;
    }
}

